# cli.checks

`cli.checks`

Various checks for Axolotl CLI.

## Functions

Name | Description
--- | ---
check_accelerate_default_config | Logs at warning level if no accelerate config file is found.
check_user_token | Checks for HF user info. Check is skipped if HF_HUB_OFFLINE=1.

### check_accelerate_default_config

    cli.checks.check_accelerate_default_config()

Logs at warning level if no accelerate config file is found.

### check_user_token

    cli.checks.check_user_token()

Checks for HF user info. Check is skipped if HF_HUB_OFFLINE=1.

#### Returns

Name | Type | Description
--- | --- | ---
| bool | Boolean indicating successful check (i.e., HF_HUB_OFFLINE=1 or HF user info is retrieved).

#### Raises

Name | Type | Description
--- | --- | ---
| LocalTokenNotFoundError | If HF user info can’t be retrieved.